package md

type GenerateWxAdData struct {
	OriginalDataId        int    `json:"original_data_id" example:"原始数据id"`
	OriginalExposureCount int    `json:"original_exposure_count" example:"原-曝光量"`
	OriginalEcpm          string `json:"original_ecpm" example:"原-广告千次曝光收益(分)"`
	NowExposureCount      int    `json:"now_exposure_count" example:"现-曝光量"`
	NowEcpm               string `json:"now_ecpm" example:"现-广告千次曝光收益(分)"`
}

type ClacEcpmReq struct {
	OriginalExposureCount int    `json:"original_exposure_count" example:"原-曝光量"`
	OriginalEcpm          string `json:"original_ecpm" example:"原-广告千次曝光收益(分)"`
	GenerateDataId        int    `json:"generate_data_id" example:"原始数据id"`
}

type CalcApplicationDataReq struct {
	OriginalDataId        int    `json:"original_data_id" example:"原始数据id"`
	OriginalExposureCount int    `json:"original_exposure_count" example:"原-曝光量"`
	OriginalEcpm          string `json:"original_ecpm" example:"原-广告千次曝光收益(分)"`
	NowExposureCount      int    `json:"now_exposure_count" example:"现-曝光量"`
	NowEcpm               string `json:"now_ecpm" example:"现-广告千次曝光收益(分)"`
}

type CalcApplicationDataResp struct {
	PlatformRetention   float64 `json:"platform_retention" example:"平台留存"`
	CommissionRetention float64 `json:"commission_retention" example:"佣金留存"`
	MediaRevenue        float64 `json:"media_revenue" example:"媒体收益"`
	AgentRevenue        float64 `json:"agent_revenue" example:"代理收益"`
	ExtraRevenue        float64 `json:"extra_revenue" example:"额外收益"`
	AgreementSharing    float64 `json:"agreement_sharing" example:"协议分成"`
}

type SettlementWxAdData struct {
	GenerateDataId int `json:"generate_data_id" example:"生成数据id"`
}
